%{?nodejs_find_provides_and_requires}

%global packagename resolve-url

# tests disabled due to missing 'testling' test suite
%global enable_tests 0

Name:		nodejs-resolve-url
Version:	0.2.1
Release:	1%{?dist}
Summary:	Like Node.js’ `path.resolve`/`url.resolve` for the browser

License:	MIT
URL:		https://github.com/lydell/resolve-url
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	dos2unix

%if 0%{?enable_tests}
BuildRequires:	npm(testling)
%endif

Requires:	nodejs

%description
Like Node.js’ `path.resolve`/`url.resolve` for the browser.


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package

dos2unix readme.md


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/testling -u
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Oct 23 2015 Jared Smith <jsmith@fedoraproject.org> - 0.2.1-1
- Initial packaging
